org.apache.ignite.mxbean

## Interface DataStorageMetricsMXBean

- All Superinterfaces:
    DataStorageMetrics

  Deprecated.
  Check the `JmxMetricExporterSpi` with "name=io.datastorage" instead.

      @Deprecated
      public interface DataStorageMetricsMXBean
      extends DataStorageMetrics

  An MX bean allowing to monitor and tune persistence metrics.
  See Also:
    `ReadOnlyMetricManager`, `ReadOnlyMetricRegistry`, `JmxMetricExporterSpi`, `MetricExporterSpi`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableMetrics()` Deprecated. Disables persistence metrics collection on an Apache Ignite node.
    `void` | `enableMetrics()` Deprecated. Enables persistence metrics collection on an Apache Ignite node.
    `long` | `getCheckpointBufferSize()` Deprecated. Checkpoint buffer size in bytes.
    `long` | `getCheckpointTotalTime()` Deprecated. Total checkpoint time from last restart.
    `long` | `getDirtyPages()` Deprecated. Total dirty pages for the next checkpoint.
    `long` | `getLastCheckpointCopiedOnWritePagesNumber()` Deprecated. Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
    `long` | `getLastCheckpointDataPagesNumber()` Deprecated. Gets the number of data pages written during the last checkpoint.
    `long` | `getLastCheckpointDuration()` Deprecated. Gets the duration of the last checkpoint in milliseconds.
    `long` | `getLastCheckpointFsyncDuration()` Deprecated. Gets the duration of the sync phase of the last checkpoint in milliseconds.
    `long` | `getLastCheckpointLockWaitDuration()` Deprecated. Gets the duration of last checkpoint lock wait in milliseconds.
    `long` | `getLastCheckpointMarkDuration()` Deprecated. Gets the duration of last checkpoint mark phase in milliseconds.
    `long` | `getLastCheckpointPagesWriteDuration()` Deprecated. Gets the duration of last checkpoint pages write phase in milliseconds.
    `long` | `getLastCheckpointStarted()` Deprecated. Returns time when the last checkpoint was started.
    `long` | `getLastCheckpointTotalPagesNumber()` Deprecated. Gets the total number of pages written during the last checkpoint.
    `long` | `getOffHeapSize()` Deprecated. Total offheap size in bytes.
    `long` | `getOffheapUsedSize()` Deprecated. Total used offheap size in bytes.
    `long` | `getPagesRead()` Deprecated. The number of read pages from last restart.
    `long` | `getPagesReplaced()` Deprecated. The number of replaced pages from last restart.
    `long` | `getPagesWritten()` Deprecated. The number of written pages from last restart.
    `long` | `getSparseStorageSize()` Deprecated. Storage space allocated adjusted for possible sparsity in bytes.
    `long` | `getStorageSize()` Deprecated. Storage space allocated in bytes.
    `long` | `getTotalAllocatedSize()` Deprecated. Total size of memory allocated in bytes.
    `long` | `getUsedCheckpointBufferPages()` Deprecated. Gets used checkpoint buffer size in pages.
    `long` | `getUsedCheckpointBufferSize()` Deprecated. Gets used checkpoint buffer size in bytes.
    `int` | `getWalArchiveSegments()` Deprecated. Gets the current number of WAL segments in the WAL archive.
    `long` | `getWalBuffPollSpinsRate()` Deprecated. Returns WAL buffer poll spins number over the last time interval.
    `long` | `getWalCompressedBytes()` Deprecated. Getting the total size of the compressed segments in bytes.
    `float` | `getWalFsyncTimeAverage()` Deprecated. Gets the average WAL fsync duration in microseconds over the last time interval.
    `long` | `getWalLastRollOverTime()` Deprecated. Time of the last WAL segment rollover.
    `float` | `getWalLoggingRate()` Deprecated. Gets the average number of WAL records per second written during the last time interval.
    `long` | `getWalTotalSize()` Deprecated. Total size in bytes for storage wal files.
    `float` | `getWalWritingRate()` Deprecated. Gets the average number of bytes per second written during the last time interval.
    `long` | `getWalWrittenBytes()` Deprecated. Getting the total number of logged bytes into the WAL.
    `void` | `rateTimeInterval(long rateTimeInterval)` Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
    `void` | `subIntervals(int subInts)` Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.

- - ### Method Detail

    - #### getWalLoggingRate

          @MXBeanDescription(value="Average number of WAL records per second written during the last time interval.")
          float getWalLoggingRate()

      Deprecated.
      Gets the average number of WAL records per second written during the last time interval.

      The length of time interval is configured via `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property. The number of subintervals is configured via `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.

      Specified by:
        `getWalLoggingRate` in interface `DataStorageMetrics`

    - #### getWalWritingRate

          @MXBeanDescription(value="Average number of bytes per second written during the last time interval.")
          float getWalWritingRate()

      Deprecated.
      Gets the average number of bytes per second written during the last time interval. The length of time interval is configured via `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property. The number of subintervals is configured via `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.
      Specified by:
        `getWalWritingRate` in interface `DataStorageMetrics`

    - #### getWalArchiveSegments

          @MXBeanDescription(value="Current number of WAL segments in the WAL archive.")
          int getWalArchiveSegments()

      Deprecated.
      Gets the current number of WAL segments in the WAL archive.
      Specified by:
        `getWalArchiveSegments` in interface `DataStorageMetrics`

    - #### getWalFsyncTimeAverage

          @MXBeanDescription(value="Average WAL fsync duration in microseconds over the last time interval.")
          float getWalFsyncTimeAverage()

      Deprecated.
      Gets the average WAL fsync duration in microseconds over the last time interval.

      The length of time interval is configured via `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property. The number of subintervals is configured via `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.

      Specified by:
        `getWalFsyncTimeAverage` in interface `DataStorageMetrics`

    - #### getWalBuffPollSpinsRate

          @MXBeanDescription(value="WAL buffer poll spins number over the last time interval.")
          long getWalBuffPollSpinsRate()

      Deprecated.
      Returns WAL buffer poll spins number over the last time interval.

      The length of time interval is configured via `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property. The number of subintervals is configured via `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.

      Specified by:
        `getWalBuffPollSpinsRate` in interface `DataStorageMetrics`

    - #### getWalTotalSize

          @MXBeanDescription(value="Total size in bytes for storage wal files.")
          long getWalTotalSize()

      Deprecated.
      Total size in bytes for storage wal files.
      Specified by:
        `getWalTotalSize` in interface `DataStorageMetrics`
      Returns:
        Total size in bytes for storage wal files.

    - #### getWalLastRollOverTime

          @MXBeanDescription(value="Time of the last WAL segment rollover.")
          long getWalLastRollOverTime()

      Deprecated.
      Time of the last WAL segment rollover.
      Specified by:
        `getWalLastRollOverTime` in interface `DataStorageMetrics`
      Returns:
        Time of the last WAL segment rollover.

    - #### getCheckpointTotalTime

          @MXBeanDescription(value="Total checkpoint time from last restart.")
          long getCheckpointTotalTime()

      Deprecated.
      Total checkpoint time from last restart.
      Specified by:
        `getCheckpointTotalTime` in interface `DataStorageMetrics`
      Returns:
        Total checkpoint time from last restart.

    - #### getUsedCheckpointBufferPages

          @MXBeanDescription(value="Used checkpoint buffer size in pages.")
          long getUsedCheckpointBufferPages()

      Deprecated.
      Gets used checkpoint buffer size in pages.
      Specified by:
        `getUsedCheckpointBufferPages` in interface `DataStorageMetrics`
      Returns:
        Checkpoint buffer size in pages.

    - #### getUsedCheckpointBufferSize

          @MXBeanDescription(value="Used checkpoint buffer size in bytes.")
          long getUsedCheckpointBufferSize()

      Deprecated.
      Gets used checkpoint buffer size in bytes.
      Specified by:
        `getUsedCheckpointBufferSize` in interface `DataStorageMetrics`
      Returns:
        Checkpoint buffer size in bytes.

    - #### getCheckpointBufferSize

          @MXBeanDescription(value="Total size in bytes for checkpoint buffer.")
          long getCheckpointBufferSize()

      Deprecated.
      Checkpoint buffer size in bytes.
      Specified by:
        `getCheckpointBufferSize` in interface `DataStorageMetrics`
      Returns:
        Checkpoint buffer size in bytes.

    - #### getLastCheckpointDuration

          @MXBeanDescription(value="Duration of the last checkpoint in milliseconds.")
          long getLastCheckpointDuration()

      Deprecated.
      Gets the duration of the last checkpoint in milliseconds.
      Specified by:
        `getLastCheckpointDuration` in interface `DataStorageMetrics`
      Returns:
        Total checkpoint duration in milliseconds.

    - #### getLastCheckpointStarted

          @MXBeanDescription(value="Time when the last checkpoint was started.")
          long getLastCheckpointStarted()

      Deprecated.
      Returns time when the last checkpoint was started.
      Specified by:
        `getLastCheckpointStarted` in interface `DataStorageMetrics`
      Returns:
        Time when the last checkpoint was started.

    - #### getLastCheckpointLockWaitDuration

          @MXBeanDescription(value="Duration of the checkpoint lock wait in milliseconds.")
          long getLastCheckpointLockWaitDuration()

      Deprecated.
      Gets the duration of last checkpoint lock wait in milliseconds.
      Specified by:
        `getLastCheckpointLockWaitDuration` in interface `DataStorageMetrics`
      Returns:
        Checkpoint lock wait time in milliseconds.

    - #### getLastCheckpointMarkDuration

          @MXBeanDescription(value="Duration of the checkpoint mark in milliseconds.")
          long getLastCheckpointMarkDuration()

      Deprecated.
      Gets the duration of last checkpoint mark phase in milliseconds.
      Specified by:
        `getLastCheckpointMarkDuration` in interface `DataStorageMetrics`
      Returns:
        Checkpoint mark duration in milliseconds.

    - #### getLastCheckpointPagesWriteDuration

          @MXBeanDescription(value="Duration of the checkpoint pages write in milliseconds.")
          long getLastCheckpointPagesWriteDuration()

      Deprecated.
      Gets the duration of last checkpoint pages write phase in milliseconds.
      Specified by:
        `getLastCheckpointPagesWriteDuration` in interface `DataStorageMetrics`
      Returns:
        Checkpoint pages write phase in milliseconds.

    - #### getLastCheckpointFsyncDuration

          @MXBeanDescription(value="Duration of the sync phase of the last checkpoint in milliseconds.")
          long getLastCheckpointFsyncDuration()

      Deprecated.
      Gets the duration of the sync phase of the last checkpoint in milliseconds.
      Specified by:
        `getLastCheckpointFsyncDuration` in interface `DataStorageMetrics`
      Returns:
        Checkpoint fsync time in milliseconds.

    - #### getLastCheckpointTotalPagesNumber

          @MXBeanDescription(value="Total number of pages written during the last checkpoint.")
          long getLastCheckpointTotalPagesNumber()

      Deprecated.
      Gets the total number of pages written during the last checkpoint.
      Specified by:
        `getLastCheckpointTotalPagesNumber` in interface `DataStorageMetrics`
      Returns:
        Total number of pages written during the last checkpoint.

    - #### getLastCheckpointDataPagesNumber

          @MXBeanDescription(value="Total number of data pages written during the last checkpoint.")
          long getLastCheckpointDataPagesNumber()

      Deprecated.
      Gets the number of data pages written during the last checkpoint.
      Specified by:
        `getLastCheckpointDataPagesNumber` in interface `DataStorageMetrics`
      Returns:
        Total number of data pages written during the last checkpoint.

    - #### getLastCheckpointCopiedOnWritePagesNumber

          @MXBeanDescription(value="Number of pages copied to a temporary checkpoint buffer during the last checkpoint.")
          long getLastCheckpointCopiedOnWritePagesNumber()

      Deprecated.
      Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
      Specified by:
        `getLastCheckpointCopiedOnWritePagesNumber` in interface `DataStorageMetrics`
      Returns:
        Total number of pages copied to a temporary checkpoint buffer during the last checkpoint.

    - #### getDirtyPages

          @MXBeanDescription(value="Total dirty pages for the next checkpoint.")
          long getDirtyPages()

      Deprecated.
      Total dirty pages for the next checkpoint.
      Specified by:
        `getDirtyPages` in interface `DataStorageMetrics`
      Returns:
        Total dirty pages for the next checkpoint.

    - #### getPagesRead

          @MXBeanDescription(value="The number of read pages from last restart.")
          long getPagesRead()

      Deprecated.
      The number of read pages from last restart.
      Specified by:
        `getPagesRead` in interface `DataStorageMetrics`
      Returns:
        The number of read pages from last restart.

    - #### getPagesWritten

          @MXBeanDescription(value="The number of written pages from last restart.")
          long getPagesWritten()

      Deprecated.
      The number of written pages from last restart.
      Specified by:
        `getPagesWritten` in interface `DataStorageMetrics`
      Returns:
        The number of written pages from last restart.

    - #### getPagesReplaced

          @MXBeanDescription(value="The number of replaced pages from last restart.")
          long getPagesReplaced()

      Deprecated.
      The number of replaced pages from last restart.
      Specified by:
        `getPagesReplaced` in interface `DataStorageMetrics`
      Returns:
        The number of replaced pages from last restart.

    - #### getOffHeapSize

          @MXBeanDescription(value="Total offheap size in bytes.")
          long getOffHeapSize()

      Deprecated.
      Total offheap size in bytes.
      Specified by:
        `getOffHeapSize` in interface `DataStorageMetrics`
      Returns:
        Total offheap size in bytes.

    - #### getOffheapUsedSize

          @MXBeanDescription(value="Total used offheap size in bytes.")
          long getOffheapUsedSize()

      Deprecated.
      Total used offheap size in bytes.
      Specified by:
        `getOffheapUsedSize` in interface `DataStorageMetrics`
      Returns:
        Total used offheap size in bytes.

    - #### getTotalAllocatedSize

          @MXBeanDescription(value="Total size of memory allocated in bytes.")
          long getTotalAllocatedSize()

      Deprecated.
      Total size of memory allocated in bytes.
      Specified by:
        `getTotalAllocatedSize` in interface `DataStorageMetrics`
      Returns:
        Total size of memory allocated in bytes.

    - #### enableMetrics

          @MXBeanDescription(value="Enables persistence metrics collection on an Apache Ignite node.")
          void enableMetrics()

      Deprecated.
      Enables persistence metrics collection on an Apache Ignite node.

    - #### disableMetrics

          @MXBeanDescription(value="Disables persistence metrics collection on an Apache Ignite node.")
          void disableMetrics()

      Deprecated.
      Disables persistence metrics collection on an Apache Ignite node.

    - #### rateTimeInterval

          @MXBeanDescription(value="Sets time interval for pages allocation and eviction monitoring purposes.")
           @Deprecated
          void rateTimeInterval(@MXBeanParameter(name="rateTimeInterval",description="Time interval (in milliseconds) to set.")
                                                                                                                                                   long rateTimeInterval)

      Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
      Sets time interval for rate-based metrics. Identical to setting `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property.
      Parameters:
        `rateTimeInterval` - Time interval (in milliseconds) used for allocation and eviction rates calculations.

    - #### subIntervals

          @MXBeanDescription(value="Sets a number of sub-intervals to calculate allocation and eviction rates metrics.")
           @Deprecated
          void subIntervals(@MXBeanParameter(name="subInts",description="Number of subintervals to set.")
                                                                                                                                                        int subInts)

      Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
      Sets a number of sub-intervals the whole `rateTimeInterval(long)` will be split into to calculate rate-based metrics. Identical to setting `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.
      Parameters:
        `subInts` - A number of sub-intervals.

    - #### getStorageSize

          @MXBeanDescription(value="Storage space allocated, in bytes.")
          long getStorageSize()

      Deprecated.
      Storage space allocated in bytes.
      Specified by:
        `getStorageSize` in interface `DataStorageMetrics`
      Returns:
        Storage space allocated in bytes.

    - #### getSparseStorageSize

          @MXBeanDescription(value="Storage space allocated adjusted for possible sparsity, in bytes.")
          long getSparseStorageSize()

      Deprecated.
      Storage space allocated adjusted for possible sparsity in bytes. May produce unstable or even incorrect result on some file systems (e.g. XFS). Known to work correctly on Ext4 and Btrfs.
      Specified by:
        `getSparseStorageSize` in interface `DataStorageMetrics`
      Returns:
        Storage space allocated adjusted for possible sparsity in bytes or negative value is not supported.

    - #### getWalWrittenBytes

          @MXBeanDescription(value="Getting the total number of logged bytes into the WAL.")
          long getWalWrittenBytes()

      Deprecated.
      Getting the total number of logged bytes into the WAL.
      Specified by:
        `getWalWrittenBytes` in interface `DataStorageMetrics`
      Returns:
        Number of bytes.

    - #### getWalCompressedBytes

          @MXBeanDescription(value="Getting the total size of the compressed segments in bytes.")
          long getWalCompressedBytes()

      Deprecated.
      Getting the total size of the compressed segments in bytes.
      Specified by:
        `getWalCompressedBytes` in interface `DataStorageMetrics`
      Returns:
        Number of bytes.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021